
PREDICTLIB_TARGETS := $(LIBDIR)/libpredict.la

PREDICTLIB_SRCS := \
	$(DIR)/sgp4sdp4.c \
	$(DIR)/sgp_in.c \
	$(DIR)/sgp_math.c \
	$(DIR)/sgp_obs.c \
	$(DIR)/sgp_time.c \
	$(DIR)/solar.c \
	$(DIR)/predictlib.c
PREDICTLIB_OBJS := $(PREDICTLIB_SRCS:.c=.lo)

$(PREDICTLIB_OBJS): CFLAGS += -Wall
$(LIBDIR)/libpredict.la_LDFLAGS += -lm
$(LIBDIR)/libpredict.la: $(PREDICTLIB_OBJS)
	$(LIB_LINK)

PREDICTLIB_TARGETS += $(DIR)/test-001
$(DIR)/test-001_LDFLAGS += -lpredict
$(DIR)/test-001: libpredict.la
$(DIR)/test-001: $(DIR)/test-001.o
PREDICTLIB_SRCS += $(DIR)/test-001.c

PREDICTLIB_TARGETS += $(DIR)/test-002
$(DIR)/test-002_LDFLAGS += -lpredict
$(DIR)/test-002: libpredict.la
$(DIR)/test-002: $(DIR)/test-002.o
PREDICTLIB_SRCS += $(DIR)/test-002.c

PREDICTLIB_TARGETS += $(DIR)/test-003
$(DIR)/test-003_LDFLAGS += -lpredict
$(DIR)/test-003: libpredict.la
$(DIR)/test-003: $(DIR)/test-003.o
PREDICTLIB_SRCS += $(DIR)/test-003.c

PREDICTLIB_OBJS := $(PREDICTLIB_SRCS:.c=.lo)

SRCS += $(PREDICTLIB_SRCS)
TARGETS += $(PREDICTLIB_TARGETS)
CLEAN += $(PREDICTLIB_TARGETS) $(PREDICTLIB_OBJS)
