
COMMAND_TARGETS += $(LIBDIR)/libcommand.la

COMMAND_TARGETS += $(DIR)/command_list


ARCHSRCS := $(DIR)/command.c $(DIR)/command_tcp.c
ARCHOBJS := $(ARCHSRCS:.c=.lo)


$(ARCHOBJS) += -Wall -O3 -fPIC
$(LIBDIR)/libcommand.la: libutils.la liblog.la
$(LIBDIR)/libcommand.la_LDFLAGS += -lutils -lm -llog
$(LIBDIR)/libcommand.la: $(ARCHOBJS)
	$(LIB_LINK)

COMMAND_LIST_SRCS := $(DIR)/command_list.c
COMMAND_LIST_OBJS := $(COMMAND_LIST_SRCS:.c=.o)

$(DIR)/command_list: libcommand.la
$(DIR)/command_list_LDFLAGS += -lcommand
$(DIR)/command_list: $(COMMAND_LIST_OBJS)

SRCS += $(ARCHSRCS) $(COMMAND_LIST_SRCS)
TARGETS += $(COMMAND_TARGETS)
CLEAN += $(COMMAND_TARGETS) $(ARCHOBJS) $(COMMAND_LIST_OBJS)
