/*
	Copyright Jeroen Vreeken (pe1rxq@amsat.org), 2007
	Copyright Stichting C.A. Muller Radioastronomiestation, 2007

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _INCLUDE_CONTROLLER_SAMPLE_
#define _INCLUDE_CONTROLLER_SAMPLE_

#include <stdio.h>
#include <unistd.h>
#include <stdbool.h>

int controller_sample_start(void);

void controller_sample_start_hook(void (*func)(void *arg), void *arg);

double controller_sample_period(void);
void controller_sample_frequency_set(double frequency);

bool controller_sample_context(void);
bool controller_sample_running(void);

int controller_sample_shell_add(void);


#endif /* _INCLUDE_CONTROLLER_SAMPLE_ */
