/*
	Copyright Jeroen Vreeken (pe1rxq@amsat.org), 2009
	Copyright Stichting C.A. Muller Radioastronomiestation, 2009

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _INCLUDE_BLOCK_EC_
#define _INCLUDE_BLOCK_EC_

#include <controller/controller_block.h>
#include <controller/controller_bus.h>

struct controller_block * block_ec_create(char *name, va_list ap);

#define EC_LOGICAL_RX_START	0x40000000
#define EC_LOGICAL_TX_START	0x80000000


struct controller_bus_private {
	size_t logical_rx;
	size_t logical_tx;
};

struct controller_block *ec_block;
struct controller_bus *ec_bus;

#endif /* _INCLUDE_BLOCK_EC_ */
