/*
	Copyright Jeroen Vreeken (pe1rxq@amsat.org), 2013
	Copyright Stichting C.A. Muller Radioastronomiestation, 2013

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */

#ifndef _INCLUDE_EC_ESC_FMMU_H_
#define _INCLUDE_EC_ESC_FMMU_H_

#include <ec/esc_device.h>

int esc_fmmu_set(struct esc_device *dev);
int esc_fmmu_map_rx(struct esc_device *dev, size_t start, size_t len);
int esc_fmmu_map_tx(struct esc_device *dev, size_t start, size_t len);


#endif /* _INCLUDE_EC_ESC_FMMU_H_ */
