/*
	Copyright Jeroen Vreeken (pe1rxq@amsat.org), 2007
	Copyright Stichting C.A. Muller Radioastronomiestation, 2007

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */

#ifndef _INCLUDE_SHELL_H_
#define _INCLUDE_SHELL_H_

struct shell_cmd {
	char *cmd;
	char *helptext;
	int (*handler)(char *args, char *output, int *outsize);
};

int shell_cmd_add(struct shell_cmd *cmd);
int shell_server_start(int port, int clients);

extern char *shell_intro;
extern char *shell_prompt;

#endif /* _INCLUDE_SHELL_H_ */
